Bug 141045 - close the application with the execution of the BASIC code, function replace
Summary: close the application with the execution of the BASIC code, function replace
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
7.1.0.3 release
Hardware: All All
: medium normal
Assignee: Andreas Heinisch
URL:
Whiteboard: target:7.2.0 target:7.1.2 target:7.0.6
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-15 11:44 UTC by decanato.territorialmadrid
Modified: 2021-03-22 11:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description decanato.territorialmadrid 2021-03-15 11:44:27 UTC
Description:
to reproduce the crash run the following code

sub prueba
dim txt as string
txt = "uno"
txt = replace(txt, "uno euro", "un euro")
end sub

Steps to Reproduce:
1. Open Writer
2. Open the BASIC editor
2. Run the following code:

sub prueba
dim txt as string
txt = "uno"
txt = replace(txt, "uno euro", "un euro")
end sub

Actual Results:
Crash and close de application

Expected Results:
do nothing


Reproducible: Always


User Profile Reset: No



Additional Info:
no
Comment 1 Commit Notification 2021-03-15 14:17:46 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ac0b6fb3842201e438950ea99a55ad334f8521ab

tdf#141045 - fixed copy paste error in the replace function

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2021-03-15 19:07:39 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/fde29198bd8e345c9a61a9f4d4671a3022a84cf9

tdf#141045 - fixed copy paste error in the replace function

It will be available in 7.1.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-03-15 19:47:10 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/4e8b26cd67451c73aff284bb800627ed6db05443

tdf#141045 - fixed copy paste error in the replace function

It will be available in 7.0.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-03-19 08:59:38 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "libreoffice-7-1-2":

https://git.libreoffice.org/core/commit/d3f425c85d4664069f5b7e5d380a407631070da7

tdf#141045 - fixed copy paste error in the replace function

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.